Bug 31978 - Anaconda trace back with more than 8 SCSI luns
Summary: Anaconda trace back with more than 8 SCSI luns
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-16 13:04 UTC by Ed Thibeault
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-01 15:17:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Thibeault 2001-03-16 13:04:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


Anaconda trace back with more than 8 SCSI luns attached to qla2x00 driver 
with fs error. This is probably releated to scsi support beyond 8 luns 
(scan_scsi.c)

Reproducible: Always
Steps to Reproduce:
1. Install 7.0 with qlogic QLA2200 card and 10 scsi luns attached
2. When get to formatting will error out
3.
	

Actual Results:  get anaconda trace back error

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1469, in 
doInstall
    self.fstab.makeFilesystems ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 577, in 
makeFilesystems
    for label in self.readLabels(labelSkipList).values():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 532, in 
readLabels
    label = isys.readExt2Label(dev)
  File "/usr/lib/anaconda/isys.py", line 312, in readExt2Label
    makeDevInode(device, "/tmp/disk")
  File "/usr/lib/anaconda/isys.py", line 195, in makeDevInode
    return _isys.mkdevinode(name, fn)
SystemError: (6, 'Device not configured')

Local variables in innermost frame:
fn: /tmp/disk
name: sdp16

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Michael Fulbright 2001-03-21 19:50:20 UTC
I do not believe more than 16 partitions per SCSI device are supported by the
kernel.  Can you avoid creating this many on that drive?

Comment 2 Ed Thibeault 2001-03-22 12:17:02 UTC
I am not making additional slice, I have 16 sd devices when I get this error. I 
am also using sg devices.

Comment 3 Michael Fulbright 2001-04-11 16:29:54 UTC
The traceback indications that it failed on device /dev/sdp16. There can only be
devices /dev/sdp1 through /dev/sdp15 as far as I know. Can you reduce the number
of partitions on that device?

Comment 4 Brent Fox 2001-05-01 15:17:24 UTC
Closing due to inactivity.  Please reopen if you have more information.



Note You need to log in before you can comment on or make changes to this bug.